Subject: Re: bug#18437: 24.3.93; cursor changes color and size at end of line

From: Alp Aker <[email-masked]>
Date: Wed, 10 Sep 2014 13:59:15 -0400

> Then resize the frame so that the window is just about wide enough to
> display one of the lines in the current buffer.

[snip]

> Note cursor changes color to black.  Move point one to the left, and
cursor
> will change back to what it's supposed to be.

Do you have overflow-newline-into-fringe set to non-nil?  If so, then this
is a problem specific to the NS port:  the cursor is being displayed in the
foreground color of your fringe
face.  This doesn't look like a regression, though, so fixed in trunk
(r117858).

I haven't looked at the face remapping issue.